using AutoMapper;
using ConstructorApp.DtoLayer.ReferenceDto;
using ConstructorApp.EntityLayer.Entities;

namespace ConstructorAppApi.Mapping
{
    public class ReferenceMapping : Profile
    {
        public ReferenceMapping()
        {
            CreateMap<Reference, ResultReferenceDto>().ReverseMap();
            CreateMap<Reference, GetReferenceDto>().ReverseMap();
            CreateMap<Reference, CreateReferenceDto>().ReverseMap();
            CreateMap<Reference, UpdateReferenceDto>().ReverseMap();
        }
    }
}
